ContCodestream (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class ContCodestream

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.ContCodestream

    public class ContCodestream

extends java.lang.Object

Encapsulation of a JPEG 2000 codestream. This is based on the information in Appendix A of ISO/IEC 15444-1:2000(E). That standard "does not include a definition of compliance or conformance."

Author:
  Gary McGath

Constructor Summary
`ContCodestream(Jpeg2000Module module, java.io.DataInputStream dstream, long length)` Constructor.

Method Summary
`protected Tile` | `getCurTile()` Gets the value of curTile.
`protected Tile` | `getTile(int idx)` Gets the tile whose index is idx.
`java.util.List<Tile>` | `getTiles()` Returns the list of tiles.
`protected boolean` | `isPPMSeen()` Returns the value of the ppmSeen flag, signifying that a PPM marker segment has been encountered.
`boolean` | `readCodestream(Codestream cs, RepInfo info)` Reading a codestream generates various bits of information about the image.
`protected void` | `setCurTile(Tile tile)` Sets the value of curTile.
`protected void` | `setPPMSeen(boolean b)` Sets the value of the ppmSeen flag, signifying that a PPM marker segment has been encountered.
`protected void` | `setTileLeft(long tileLeft)` Set the number of bytes remaining in the current tile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContCodestream

    public ContCodestream(Jpeg2000Module module,
                          java.io.DataInputStream dstream,
                          long length)

  Constructor.

  Parameters:
    `length` - Length of the codestream, exclusive of the box header. If the codestream box has a length field of 0, pass 0 for this parameter.

Method Detail

### readCodestream

    public boolean readCodestream(Codestream cs,
                                  RepInfo info)
                           throws java.io.IOException

  Reading a codestream generates various bits of information about the image. These are made available after reading through accessor functions.

  Parameters:
    `cs` - The image which this codestream defines. Must have a non-null `codestream` field.
    `info` - The RepInfo object which accumulates information about the document. Used for reporting errors.
  Returns:
    True if no fatal errors detected, false if error prevents safe continuation
  Throws:
    `java.io.IOException`

### getTiles

    public java.util.List<Tile> getTiles()

  Returns the list of tiles. The elements are Tile objects.

### setTileLeft

    protected void setTileLeft(long tileLeft)

  Set the number of bytes remaining in the current tile. For use by MarkerSegment subclasses.

### getTile

    protected Tile getTile(int idx)

  Gets the tile whose index is idx.

### setCurTile

    protected void setCurTile(Tile tile)

  Sets the value of curTile.

### setPPMSeen

    protected void setPPMSeen(boolean b)

  Sets the value of the ppmSeen flag, signifying that a PPM marker segment has been encountered.

### getCurTile

    protected Tile getCurTile()

  Gets the value of curTile. May be null.

### isPPMSeen

    protected boolean isPPMSeen()

  Returns the value of the ppmSeen flag, signifying that a PPM marker segment has been encountered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD